Package org.zkoss.stateless.ui

## Interface StatelessRichlet

- All Superinterfaces:
    `Richlet`, `java.io.Serializable`

      public interface StatelessRichlet
      extends Richlet, java.io.Serializable

  A state less richlet interface to construct an immutable component tree to the given view.
  Author:
    jumperchen

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `destroy()` | Called by the richlet container to indicate to a richlet that the richlet is being taken out of service.
    `default LanguageDefinition` | `getLanguageDefinition()` | Returns the default language definition that this richlet belongs to.
    `default void` | `init​(RichletConfig richletConfig)` | Called by the richlet container to indicate to a richlet that the richlet is being placed into service.
    `default void` | `service​(Page page)` | Called by the richlet container to create components when the specified page is visited and created.

- - ### Method Detail

    - #### init

          default void init​(RichletConfig richletConfig)

      Description copied from interface: `Richlet`
      Called by the richlet container to indicate to a richlet that the richlet is being placed into service.
      Specified by:
        `init` in interface `Richlet`

    - #### destroy

          default void destroy()

      Description copied from interface: `Richlet`
      Called by the richlet container to indicate to a richlet that the richlet is being taken out of service.
      Specified by:
        `destroy` in interface `Richlet`

    - #### service

          default void service​(Page page)
                        throws java.lang.Exception

      Description copied from interface: `Richlet`
      Called by the richlet container to create components when the specified page is visited and created.
      Specified by:
        `service` in interface `Richlet`
      Throws:
        `java.lang.Exception`

    - #### getLanguageDefinition

          default LanguageDefinition getLanguageDefinition()

      Description copied from interface: `Richlet`
      Returns the default language definition that this richlet belongs to. Don't return null.

      The default language definition is used to initialize a page when the page is created to be served by this richlet. Note: you can use components from different languages as long as they belong to the same device type (`LanguageDefinition.getDeviceType()`.

      The default language definition controls the URIs used to render a desktop and a page, and the initial zscript codes used to initialize the interpreter (of a page).

      For example, you can return

          LanguageDefinition.lookup("xul/html");

      Specified by:
        `getLanguageDefinition` in interface `Richlet`